- hosts: localhost
  tasks:
    - include_role:
        name: "../../roles/ubuntu/customizations/{{ roleinputvar }}"
      loop:
        - "install_cert"
        - "nopasswd_sudo"
        - "synack_wallpaper"
        - "zsh"
      loop_control:
        loop_var: roleinputvar
      when: "ansible_facts['os_family'] == 'Debian'"

- hosts: localhost
  tasks:
    - include_role:
        name: "../../roles/ubuntu/environments/{{ roleinputvar }}"
      loop:
        - "i3wm"
      loop_control:
        loop_var: roleinputvar
      when: "ansible_facts['os_family'] == 'Debian'"

- hosts: localhost
  tasks:
    - include_role:
        name: "../../roles/ubuntu/frameworks/{{ roleinputvar }}"
      loop:
        - "docker"
        - "golang"
        - "nix"
        - "nodejs"
      loop_control:
        loop_var: roleinputvar
      when: "ansible_facts['os_family'] == 'Debian'"

- hosts: localhost
  tasks:
    - include_role:
        name: "../../roles/ubuntu/tools/{{ roleinputvar }}"
      loop:
        - "amass"
        - "aquatone"
        - "assetfinder"
        - "burp_suite/pro"
        - "common_cli_utils"
        - "dalfox"
        - "dnsx"
        - "ffuf"
        - "flameshot"
        - "getallurls"
        - "gobuster"
        - "google_chrome"
        - "hakrawler"
        - "httpx"
        - "kxss"
        - "libreoffice"
        - "masscan"
        - "nmap"
        - "peek"
        - "shuffledns"
        - "sqlmap"
        - "subjack"
        - "synackapi"
        - "urlprobe"
        - "waybackurls"
      loop_control:
        loop_var: roleinputvar
      when: "ansible_facts['os_family'] == 'Debian'"
